# class KImageIOFactory |
Definition | `#include <kimageiofactory.h>`
Inherits | KSycocaFactory [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KImageIOFactory ()
- virtual ~KImageIOFactory ()

#### Public Static Methods

- static KImageIOFactory * self ()

#### Protected Methods

- void load ()
- QString createPattern ( KImageIO::Mode _mode)
- virtual KSycocaEntry * createEntry (const QString &, const char *)
- virtual KSycocaEntry * createEntry (int offset)

#### Protected Static Methods

- static void readImage ( QImageIO *iio)
- static void writeImage ( QImageIO *iio)

#### Protected Members

- static KImageIOFactory *_self
- static KImageIOFormatList *formatList
- QString mReadPattern
- QString mWritePattern
- QStringList rPath

## Detailed Description

KImageIOFactory * self () | ### self

[static]

KImageIOFactory () | ### KImageIOFactory

~KImageIOFactory () | ### ~KImageIOFactory

[virtual]

void load () | ### load

[protected]

Load information from database

QString createPattern ( KImageIO::Mode _mode) | ### createPattern

[protected]

KSycocaEntry * createEntry (const QString &, const char *) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

KSycocaEntry * createEntry (int offset) | ### createEntry

[protected virtual]

Reimplemented from KSycocaFactory.

void readImage ( QImageIO *iio) | ### readImage

[protected static]

void writeImage ( QImageIO *iio) | ### writeImage

[protected static]

static KImageIOFactory * _self | ### _self

[protected]

static KImageIOFormatList * formatList | ### formatList

[protected]

QString mReadPattern | ### mReadPattern

[protected]

QString mWritePattern | ### mWritePattern

[protected]

QStringList rPath | ### rPath

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.